let remarkfunctions = {
    getIconForRemark(remark){
        if (!remark){
            return (null);
        } else if (remark.code === "55"){
            return new URL('../assets/icons/55.svg', import.meta.url);
        } else if (remark.code === "wifi" || remark.code === "WF"){
            return new URL('../assets/icons/wifi.svg', import.meta.url);
        } else if (remark.code === "air-conditioned"){
            return new URL('../assets/icons/air-conditioned.svg', import.meta.url);
        } else if (remark.code === "barrier-free-vehicle" || remark.code === "EA" || remark.code === "RZ" || remark.code === "OB"){
            return new URL('../assets/icons/barrier-free-vehicle.svg', import.meta.url);
        } else if (remark.code === "compulsory-reservation"){
            return new URL('../assets/icons/compulsory-reservation.svg', import.meta.url);
        } else if (remark.code === "on-board-restaurant"){
            return new URL('../assets/icons/on-board-restaurant.svg', import.meta.url);
        } else if (remark.code === "power-sockets"){
            return new URL('../assets/icons/power-sockets.svg', import.meta.url);
        } else if (remark.code === 'wheelchairs-space' || remark.code === "RO"){
            return new URL('../assets/icons/wheelchair-space.svg', import.meta.url);
        } else if (remark.code === "bicycle-conveyance" || remark.code === "FK"){
            return new URL('../assets/icons/bicycle-conveyance.svg', import.meta.url);
        } else if (remark.code === "bicycle-conveyance-reservation" || remark.code === "FR"){
            return new URL('../assets/icons/bicycle-conveyance-reservation.svg', import.meta.url);
        } else if (remark.code === "2nd-class-only" || remark.code === "J2" || remark.code === "K2"){
            return new URL('../assets/icons/2nd-class-only.svg', import.meta.url);
        } else if (remark.code === "boarding-ramp" || remark.code === "EF"){
            return new URL('../assets/icons/boarding-ramp.svg', import.meta.url);
        } else if (remark.code === "no-bicycle-conveyance"){
            return new URL('../assets/icons/no-bicycle-conveyance.svg', import.meta.url);
  
        } else {
            return null;
        }
    }
}
export default remarkfunctions;
